package org.jeecg.common.dto.basedata;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("项目档案—商务收款计划请求参数")
@Data
public class ArchivesBusinessListReqDTO {
    @ApiModelProperty("项目档案id")
    private String id;
    @ApiModelProperty("项目档案条线id")
    private String planId;
    @ApiModelProperty("计划类型 1.收款计划 2.回款情况 3.付款计划 4.付款情况")
    private String planType;
    @ApiModelProperty("组织")
    private String pkOrg;


    public ArchivesBusinessListReqDTO() {
    }
}
