package org.jeecg.modules.archives.service;

import org.jeecg.common.dto.archives.ProArchivesAddReqDTO;
import org.jeecg.common.dto.archives.ProArchivesAddRespDTO;
import org.jeecg.modules.archives.entity.ProjectManageArchives;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: project_manage_archives
 * @author： jeecg-boot
 * @date：   2021-02-24
 * @version： V1.0
 */
public interface ProjectManageArchivesService extends IService<ProjectManageArchives> {
    /**
     * @desc 新增
     */
    void add(ProArchivesAddReqDTO reqDTO) throws Exception;
    /**
     * @desc 新增
     */
    boolean edit(ProArchivesAddReqDTO reqDTO);

    /**
     * @desc 项目档案主子表查询接口
     */
    ProArchivesAddRespDTO getListById(ProjectManageArchives projectManageArchives);

    /**
     * @desc 通过id删除项目档案
     */
    boolean deleteById(ProjectManageArchives projectManageArchives);
}
