package org.jeecg.modules.invoice.service;

import org.jeecg.common.dto.invoice.PurchaseAddReqDTO;
import org.jeecg.common.dto.invoice.PurchaseRespDTO;
import org.jeecg.modules.invoice.entity.InvoiceManagePurchase;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 采购,销售发票
 * @author： jeecg-boot
 * @date：   2021-02-26
 * @version： V1.0
 */
public interface InvoiceManagePurchaseService extends IService<InvoiceManagePurchase> {
    /**
     * @desc 新增采购,销售发票
     */
    void add(PurchaseAddReqDTO reqDTO);
    /**
     * @desc 编辑采购,销售发票
     */
    boolean edit(PurchaseAddReqDTO reqDTO);
    /**
     * @desc 删除采购,销售发票
     */
    boolean deleteById(InvoiceManagePurchase invoiceManagePurchase);
    /**
     * @desc 通过id查询
     */
    PurchaseRespDTO queryById(String id);
}
