package org.jeecg.common.dto.archives;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.jeecg.modules.archives.entity.ProjectManageBusinessOther;

import java.util.List;

/**
 * @Author jihaosen
 * @date 2021/3/9
 */

@ApiModel("项目档案计划列表参数请求")
public class ProPlanListRespDTO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("里程碑id")
    private String muilesId;
    @ApiModelProperty("里程碑名称")
    private String milesName;

    private String key;
    private String title;
    private String parentId;
    private boolean isLeaf;
    private Integer sort;
   @Getter
   @Setter
    private List<ProPlanListRespDTO> children;
    public ProPlanListRespDTO() {
    }

    public ProPlanListRespDTO(ProjectManageBusinessOther other) {
        this.id = other.getId();
        this.muilesId = other.getMuilesId();
        this.milesName = other.getMuilesName();
        this.key = other.getKeyId();
        this.title = other.getMuilesName();
        this.parentId = other.getParentId();
        this.isLeaf = false;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMuilesId() {
        return muilesId;
    }

    public void setMuilesId(String muilesId) {
        this.muilesId = muilesId;
    }

    public String getMilesName() {
        return milesName;
    }

    public void setMilesName(String milesName) {
        this.milesName = milesName;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean isLeaf) {
        this.isLeaf = isLeaf;
    }
}
