package org.jeecg.common.dto.invoice;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
   * @Author jihaosen
   * @date 2021/3/2
   */
 @ApiModel("采购发票和销售发票详情新增请求参数")
 @Data
public class PurchaseDetailAddReqDTO {
    @ApiModelProperty("采购，销售发票id")
    private String purchaseId;
    @ApiModelProperty("收款条线档案id")
    private String coArchivesId;
    @ApiModelProperty("收付款条线")
    private String coArchivesName;
    @ApiModelProperty("项目档案里程碑表id")
    private String proBusinessId;
    @ApiModelProperty("项目档案里程碑（项目档案—商务，页签中的收款计划）")
    private String proArchivesMilestone;
    @ApiModelProperty("金额 （里程碑与首付款条线对应金额）")
    private java.math.BigDecimal price;
    @ApiModelProperty("未收票金额")
    private java.math.BigDecimal uncoPrice;
    @ApiModelProperty("收票金额")
    private java.math.BigDecimal coPrice;
    @ApiModelProperty("组织")
    private String pkOrg;

    public PurchaseDetailAddReqDTO() {
    }
}
