package org.jeecg.common.dto.report;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel("项目档案计划列表查询")
@Data
public class ProStatisticsRespDTO {
    private String id;
//    项目编码	项目名称	项目组成员	收付款条线编码	收付款条线名称	里程碑计划开始时间	里程碑实际开始时间	里程碑计划结束时间	里程碑实际结束时间	里程碑计划工时	里程碑实际工时	里程碑计划收款	里程碑开票金额	里程碑实际收款	里程碑计划付款	里程碑收票	里程碑实际付款
    @ApiModelProperty("项目名称")
    private String proName;
    @ApiModelProperty("项目编码")
    private String proCode;
    @ApiModelProperty("项目组成员")
    private String proMember;
    @ApiModelProperty("收付款条线编码")
    private String coArchivesCode;
    @ApiModelProperty("收付款条线名称")
    private String coArchivesName;
    @ApiModelProperty("里程碑计划开始时间")
    private Date mileStartDate;
    @ApiModelProperty("里程碑计划实际开始时间")
    private Date mileRealStartDate;
    @ApiModelProperty("里程碑计划结束时间")
    private Date mileEndDate;
    @ApiModelProperty("里程碑实际计划结束时间")
    private Date mileRealEndtDate;
    @ApiModelProperty("里程碑计划工时")
    private Double mileDduration;
    @ApiModelProperty("里程碑计划实际工时")
    private Double mileRealDduration;
    //里程碑计划收款	里程碑开票金额	里程碑实际收款	里程碑计划付款	里程碑收票	里程碑实际付款

}
