package org.jeecg.modules.prowork.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.dto.prowork.ProWorkMilestoneAddReqDTO;
import org.jeecg.common.dto.prowork.ProWorkMilestoneRespDTO;
import org.jeecg.common.dto.prowork.ProWorkUpdateFileRespDTO;
import org.jeecg.modules.prowork.entity.ProWorkMilestone;

/**
 * @Description: 项目工作--里程碑确认单
 * @author： jeecg-boot
 * @date：   2021-03-03
 * @version： V1.0
 */
public interface ProWorkMilestoneService extends IService<ProWorkMilestone> {
    /**
     * @desc 新增
     */
    void add(ProWorkMilestoneAddReqDTO reqDTO);
    /**
     * @desc 编辑
     */
    boolean edit(ProWorkMilestoneAddReqDTO reqDTO);

    /**
     * @desc 通过id删除
     */
    boolean dropById(ProWorkMilestone proWorkMilestone);
    /**
     * @desc 通过id查询
     */
    ProWorkMilestoneRespDTO queryById(String id);
}
